Bug 731050 - Re-Review Request: mrepo - A tool to set up a yum/apt mirror from various sources
Re-Review Request: mrepo - A tool to set up a yum/apt mirror from various sou...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW 684899
  Show dependency treegraph
 
Reported: 2011-08-16 11:19 EDT by Jessica Jones
Modified: 2015-12-11 11:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-11 11:09:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jessica Jones 2011-08-16 11:19:36 EDT
NB This package was previously in Fedora up until and including F15.  It has been marked deprecated and orphaned, so I have asked the previous maintainer if I can take ownership of it.

Spec URL: http://people.fedoraproject.org/~zaniyah/mrepo/mrepo.spec
SRPM URL: http://people.fedoraproject.org/~zaniyah/mrepo/mrepo-0.8.7-4.fc15.src.rpm
Description:
mrepo builds a local Apt/Yum RPM repository from local ISO files,
downloaded updates and extra packages from RHN and 3rd party
repositories.

It can download all updates and extras automatically, creates
the repository structure and meta-data, enables HTTP access to
the repository and creates a directory-structure for remote
network installations using PXE/TFTP.

mrepo supports ftp, http, sftp, rsync, rhn and other download methods.

With mrepo, you can enable your laptop or a local server to provide
updates for the whole network and provide the proper files to
allow installations via the network.
Comment 1 Jessica Jones 2011-08-16 11:21:20 EDT
It builds successfully against dist-rawhide:
https://koji.fedoraproject.org/koji/taskinfo?taskID=3276068

I have tested it thoroughly on RHEL6 with EPEL6, and mildly on F15.  I don't currently have access to an F16 box, but that's being sorted out.
Comment 2 Miroslav Suchý 2011-10-04 05:22:18 EDT
Hmm I see you have several package review request but I could not see you in 
 Fedora Packager GIT Commit Group (packager)
group. Did you already have some package in Fedora? Or this (or perl-Data-Properties, gold or doxygenfilter is your first package)?
In case that yes, then you need to have sponsor:
http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Can you confirm or deny it?
Comment 3 Jessica Jones 2011-10-04 16:34:06 EDT
(In reply to comment #2)
> Hmm I see you have several package review request but I could not see you in 
>  Fedora Packager GIT Commit Group (packager)

I should be there already.  I had commit access a few months ago, although I haven't tried recently.

> group. Did you already have some package in Fedora? Or this (or
> perl-Data-Properties, gold or doxygenfilter is your first package)?
> In case that yes, then you need to have sponsor:
> http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group
> 
> Can you confirm or deny it?

I have a sponsor - Mark Chappell (tremble).
Comment 4 Miroslav Suchý 2011-10-10 06:20:01 EDT
$ rpmlint /home/msuchy/rpmbuild/RPMS/noarch/mrepo-0.8.7-4.fc15.noarch.rpm /home/msuchy/rpmbuild/SRPMS/mrepo-0.8.7-4.fc15.src.rpm
mrepo.noarch: W: spelling-error %description -l en_US http -> HTTP
mrepo.noarch: W: spelling-error %description -l en_US sftp -> ftp, ftps, s ftp
mrepo.noarch: W: spelling-error %description -l en_US rsync -> sync, r sync
mrepo.noarch: E: incorrect-fsf-address /usr/bin/rhnget
mrepo.noarch: E: zero-length /usr/share/mrepo/up2date_client/distrotype.py
mrepo.noarch: E: script-without-shebang /usr/share/mrepo/up2date_client/distrotype.py
mrepo.noarch: E: script-without-shebang /usr/share/mrepo/up2date_client/repoBackends/__init__.py
mrepo.noarch: E: incorrect-fsf-address /usr/bin/youget
mrepo.noarch: E: incorrect-fsf-address /usr/share/doc/mrepo-0.8.7/COPYING
mrepo.noarch: E: non-executable-script /usr/share/mrepo/rhn/SSL.py 0644L /usr/bin/python
mrepo.noarch: E: non-readable /etc/mrepo.conf 0600L
mrepo.noarch: E: incorrect-fsf-address /usr/bin/mrepo
mrepo.noarch: E: script-without-shebang /usr/share/mrepo/up2date_client/__init__.py
mrepo.noarch: E: script-without-shebang /usr/share/mrepo/up2date_client/up2dateUtils.py
mrepo.noarch: W: no-manual-page-for-binary mrepo
mrepo.noarch: W: no-manual-page-for-binary youget
mrepo.noarch: W: no-manual-page-for-binary rhnget
mrepo.noarch: W: no-manual-page-for-binary gensystemid
mrepo.noarch: W: non-standard-dir-in-var mrepo
mrepo.noarch: W: incoherent-subsys /etc/rc.d/init.d/mrepo $prog
mrepo.src: W: spelling-error %description -l en_US http -> HTTP
mrepo.src: W: spelling-error %description -l en_US sftp -> ftp, ftps, s ftp
mrepo.src: W: spelling-error %description -l en_US rsync -> sync, r sync
mrepo.src: W: spelling-error %description -l en_US rhn -> ran, rho, run
mrepo.src:101: W: macro-in-comment %{_docdir}
mrepo.src:101: W: macro-in-comment %{name}
mrepo.src:101: W: macro-in-comment %{version}
mrepo.src:20: W: mixed-use-of-spaces-and-tabs (spaces: line 20, tab: line 1)
mrepo.src: W: invalid-url Source0: mrepo-0.8.7.tar.bz2
2 packages and 0 specfiles checked; 11 errors, 18 warnings.

You should contact upstream to correct FSF address in GPL license text

There is no need to set execute bit for python scripts in /usr/share.

I encouradge you to write missing pages and send them to upstream. If you never write man page then asciidoc is good start.
http://www.methods.co.nz/asciidoc/

> mrepo.noarch: E: non-readable /etc/mrepo.conf 0600L
This can be waived as this configuration file can contain login and password.

Spelling is OK, but rhn, which should be RHN.

> mrepo.src:20: W: mixed-use-of-spaces-and-tabs (spaces: line 20, tab: line 1)
This is self-explanatory.

> mrepo.src: W: invalid-url Source0: mrepo-0.8.7.tar.bz2
Tar is now available at http://dag.wieers.com/home-made/mrepo/mrepo-0.8.7.tar.bz2
Please fix Source0.


Additionally:
Most libraries in:
/usr/share/mrepo/up2date_client/
are copied from package rhn-client-tools
and libraries in:
/usr/share/mrepo/rhn
are copied from package rhnlib
Both are for some time in Fedora.
I encouradge you talk to upstream to not bundle this libraries to mrepo, but use those libraries directly from rhnlib and rhn-client-tools.

Buildroots and fedattr are obsoleted and there is no need to specify them. Well at least on Fedora (still needed on RHEL).

Instead of 
%{_sysconfdir}/rc.d/init.d
you can use macrot:
%{_initddir}
Comment 5 Jessica Jones 2011-10-11 08:39:28 EDT
(In reply to comment #4)
> $ rpmlint /home/msuchy/rpmbuild/RPMS/noarch/mrepo-0.8.7-4.fc15.noarch.rpm
> /home/msuchy/rpmbuild/SRPMS/mrepo-0.8.7-4.fc15.src.rpm
... (omitted for readability) ...
> 2 packages and 0 specfiles checked; 11 errors, 18 warnings.
> 
> You should contact upstream to correct FSF address in GPL license text
> 
> There is no need to set execute bit for python scripts in /usr/share.
> 
> I encouradge you to write missing pages and send them to upstream. If you never
> write man page then asciidoc is good start.
> http://www.methods.co.nz/asciidoc/
> 
> > mrepo.noarch: E: non-readable /etc/mrepo.conf 0600L
> This can be waived as this configuration file can contain login and password.
> 
> Spelling is OK, but rhn, which should be RHN.

Okay, will fix that.

> > mrepo.src:20: W: mixed-use-of-spaces-and-tabs (spaces: line 20, tab: line 1)
> This is self-explanatory.
> 
> > mrepo.src: W: invalid-url Source0: mrepo-0.8.7.tar.bz2
> Tar is now available at
> http://dag.wieers.com/home-made/mrepo/mrepo-0.8.7.tar.bz2
> Please fix Source0.
> 
> 
> Additionally:
> Most libraries in:
> /usr/share/mrepo/up2date_client/
> are copied from package rhn-client-tools
> and libraries in:
> /usr/share/mrepo/rhn
> are copied from package rhnlib
> Both are for some time in Fedora.
> I encouradge you talk to upstream to not bundle this libraries to mrepo, but
> use those libraries directly from rhnlib and rhn-client-tools.

Okay I will liaise with upstream on this and the other issues.

> Buildroots and fedattr are obsoleted and there is no need to specify them. Well
> at least on Fedora (still needed on RHEL).

I assume there is a way around this so that it can be in EPEL too?  (This is surely on a wiki page somewhere?)

> Instead of 
> %{_sysconfdir}/rc.d/init.d
> you can use macrot:
> %{_initddir}

Thanks.  This last is recommended, or just for info?
Comment 6 Miroslav Suchý 2011-10-11 08:50:02 EDT
>I assume there is a way around this so that it can be in EPEL too?  (This is
>surely on a wiki page somewhere?)

http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag
So it need only in EPEL5 and you should put it there only in that git branch.
However nothing will happen if you are as lazy as me and will leave it in Fedora branch as well.
So just recommendation.

> Thanks.  This last is recommended, or just for info?
http://fedoraproject.org/wiki/Packaging:Guidelines#Macros
as it said: strongly recommended :)
Comment 7 Yury V. Zaytsev 2011-10-11 09:16:13 EDT
(In reply to comment #4)

> Instead of 
> %{_sysconfdir}/rc.d/init.d
> you can use macrot:
> %{_initddir}

Just FYI, it's %{_initrddir} if you want to be RHEL5-compatible, although deprecated in favor of more correct %{_initddir} on RHEL6+.
Comment 8 Miroslav Suchý 2012-08-04 12:41:35 EDT
ping. Any progress here?
Comment 9 Miroslav Suchý 2012-10-16 09:23:29 EDT
ping. Any progress here?
Comment 10 Jessica Jones 2013-03-11 07:15:10 EDT
Not yet.  I have not had internet access for several months, and am still catching up on things.
Comment 11 James Hogarth 2015-12-03 22:00:16 EST
Hi Jessica it's been a couple of years since your last comment.

Are you intending to progress this?
Comment 12 James Hogarth 2015-12-11 11:09:29 EST
It's been over a week with no response from the requestor to the NeedsInfo flag.

Closing as per policy.

Note You need to log in before you can comment on or make changes to this bug.